# Rest API

## Generate Swagger File

swagger generate spec -o ./swagger.yaml

## Setting up a Swagger Instance

sudo docker run -p 80:8080 -e SWAGGER_JSON=/api.yaml -v ~/Documents/coding/go/app-idea/rest-api/swagger.yaml:/api.yaml swaggerapi/swagger-ui

## Setting Up a RabbitMQ Instance

sudo docker run -d --hostname my-rabbit --name some-rabbit -p 15672:15672 -p 5672:5672 rabbitmq:3-management